ReactPhysics3D: reactphysics3d::SliderJointInfo Struct Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
reactphysics3d::SliderJointInfo Struct Reference

This structure is used to gather the information needed to create a slider joint. More...

`#include <include/reactphysics3d/constraint/SliderJoint.h>`

Inheritance diagram for reactphysics3d::SliderJointInfo:

## Public Member Functions
| SliderJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &initAnchorPointWorldSpace, const Vector3 &initSliderAxisWorldSpace)
| Constructor without limits and without motor with world-space anchor.
| SliderJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &initAnchorPointWorldSpace, const Vector3 &initSliderAxisWorldSpace, decimal initMinTranslationLimit, decimal initMaxTranslationLimit)
| Constructor with limits and no motor with world-space anchor.
| SliderJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &initAnchorPointWorldSpace, const Vector3 &initSliderAxisWorldSpace, decimal initMinTranslationLimit, decimal initMaxTranslationLimit, decimal initMotorSpeed, decimal initMaxMotorForce)
| Constructor with limits and motor with world-space anchor.
| SliderJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &anchorPointBody1Local, const Vector3 &anchorPointBody2Local, const Vector3 &sliderAxisBody1Local)
| Constructor without limits and without motor with local-space anchor.
| SliderJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &anchorPointBody1Local, const Vector3 &anchorPointBody2Local, const Vector3 &sliderAxisBody1Local, decimal initMinTranslationLimit, decimal initMaxTranslationLimit)
| Constructor with limits and no motor with local-space anchor.
| SliderJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &anchorPointBody1Local, const Vector3 &anchorPointBody2Local, const Vector3 &sliderAxisBody1Local, decimal initMinTranslationLimit, decimal initMaxTranslationLimit, decimal initMotorSpeed, decimal initMaxMotorForce)
| Constructor with limits and motor with local-space anchor.
Public Member Functions inherited from reactphysics3d::JointInfo
| JointInfo (JointType constraintType)
| Constructor.
| JointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, JointType constraintType)
| Constructor.
virtual | ~JointInfo ()=default
| Destructor.

## Public Attributes
bool | isUsingLocalSpaceAnchors
| True if this object has been constructed using local-space anchors.
Vector3 | anchorPointWorldSpace
| Anchor point (in world-space coordinates)
Vector3 | anchorPointBody1LocalSpace
| Anchor point on body 1 (in local-space coordinates)
Vector3 | anchorPointBody2LocalSpace
| Anchor point on body 2 (in local-space coordinates)
Vector3 | sliderAxisWorldSpace
| Slider axis (in world-space coordinates)
Vector3 | sliderAxisBody1Local
| Hinge slider axis of body 1 (in local-space coordinates)
bool | isLimitEnabled
| True if the slider limits are enabled.
bool | isMotorEnabled
| True if the slider motor is enabled.
decimal | minTranslationLimit
| Mininum allowed translation if limits are enabled.
decimal | maxTranslationLimit
| Maximum allowed translation if limits are enabled.
decimal | motorSpeed
| Motor speed.
decimal | maxMotorForce
| Maximum motor force (in Newtons) that can be applied to reach to desired motor speed.
Public Attributes inherited from reactphysics3d::JointInfo
RigidBody * | body1
| First rigid body of the joint.
RigidBody * | body2
| Second rigid body of the joint.
JointType | type
| Type of the joint.
JointsPositionCorrectionTechnique | positionCorrectionTechnique
| Position correction technique used for the constraint (used for joints).
bool | isCollisionEnabled
| True if the two bodies of the joint are allowed to collide with each other.

## Detailed Description

This structure is used to gather the information needed to create a slider joint.

This structure will be used to create the actual slider joint.

## Constructor & Destructor Documentation

## ◆ SliderJointInfo() [1/6]

reactphysics3d::SliderJointInfo::SliderJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | initAnchorPointWorldSpace,
|  | const Vector3 & | initSliderAxisWorldSpace )
| inline

Constructor without limits and without motor with world-space anchor.

Parameters

  rigidBody1 | The first body of the joint
  rigidBody2 | The second body of the joint
  initAnchorPointWorldSpace | The initial anchor point in world-space
  initSliderAxisWorldSpace | The initial slider axis in world-space

## ◆ SliderJointInfo() [2/6]

reactphysics3d::SliderJointInfo::SliderJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | initAnchorPointWorldSpace,
|  | const Vector3 & | initSliderAxisWorldSpace,
|  | decimal | initMinTranslationLimit,
|  | decimal | initMaxTranslationLimit )
| inline

Constructor with limits and no motor with world-space anchor.

Parameters

  rigidBody1 | The first body of the joint
  rigidBody2 | The second body of the joint
  initAnchorPointWorldSpace | The initial anchor point in world-space
  initSliderAxisWorldSpace | The initial slider axis in world-space
  initMinTranslationLimit | The initial minimum translation limit (in meters)
  initMaxTranslationLimit | The initial maximum translation limit (in meters)

## ◆ SliderJointInfo() [3/6]

reactphysics3d::SliderJointInfo::SliderJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | initAnchorPointWorldSpace,
|  | const Vector3 & | initSliderAxisWorldSpace,
|  | decimal | initMinTranslationLimit,
|  | decimal | initMaxTranslationLimit,
|  | decimal | initMotorSpeed,
|  | decimal | initMaxMotorForce )
| inline

Constructor with limits and motor with world-space anchor.

Parameters

  rigidBody1 | The first body of the joint
  rigidBody2 | The second body of the joint
  initAnchorPointWorldSpace | The initial anchor point in world-space
  initSliderAxisWorldSpace | The initial slider axis in world-space
  initMinTranslationLimit | The initial minimum translation limit (in meters)
  initMaxTranslationLimit | The initial maximum translation limit (in meters)
  initMotorSpeed | The initial speed of the joint motor (in meters per second)
  initMaxMotorForce | The initial maximum motor force of the joint (in Newtons x meters)

## ◆ SliderJointInfo() [4/6]

reactphysics3d::SliderJointInfo::SliderJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | anchorPointBody1Local,
|  | const Vector3 & | anchorPointBody2Local,
|  | const Vector3 & | sliderAxisBody1Local )
| inline

Constructor without limits and without motor with local-space anchor.

Parameters

  rigidBody1 | The first body of the joint
  rigidBody2 | The second body of the joint
  anchorPointBody1Local | The initial anchor point on body 1 in local-space
  anchorPointBody2Local | The initial anchor point on body 2 in local-space
  sliderAxisBody1Local | The initial slider axis in body 1 local-space

## ◆ SliderJointInfo() [5/6]

reactphysics3d::SliderJointInfo::SliderJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | anchorPointBody1Local,
|  | const Vector3 & | anchorPointBody2Local,
|  | const Vector3 & | sliderAxisBody1Local,
|  | decimal | initMinTranslationLimit,
|  | decimal | initMaxTranslationLimit )
| inline

Constructor with limits and no motor with local-space anchor.

Parameters

  rigidBody1 | The first body of the joint
  rigidBody2 | The second body of the joint
  anchorPointBody1Local | The initial anchor point on body 1 in local-space
  anchorPointBody2Local | The initial anchor point on body 2 in local-space
  sliderAxisBody1Local | The initial slider axis in body 1 local-space
  initMinTranslationLimit | The initial minimum translation limit (in meters)
  initMaxTranslationLimit | The initial maximum translation limit (in meters)

## ◆ SliderJointInfo() [6/6]

reactphysics3d::SliderJointInfo::SliderJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | anchorPointBody1Local,
|  | const Vector3 & | anchorPointBody2Local,
|  | const Vector3 & | sliderAxisBody1Local,
|  | decimal | initMinTranslationLimit,
|  | decimal | initMaxTranslationLimit,
|  | decimal | initMotorSpeed,
|  | decimal | initMaxMotorForce )
| inline

Constructor with limits and motor with local-space anchor.

Parameters

  rigidBody1 | The first body of the joint
  rigidBody2 | The second body of the joint
  anchorPointBody1Local | The initial anchor point on body 1 in local-space
  anchorPointBody2Local | The initial anchor point on body 2 in local-space
  sliderAxisBody1Local | The initial slider axis in body 1 local-space
  initMinTranslationLimit | The initial minimum translation limit (in meters)
  initMaxTranslationLimit | The initial maximum translation limit (in meters)
  initMotorSpeed | The initial speed of the joint motor (in meters per second)
  initMaxMotorForce | The initial maximum motor force of the joint (in Newtons x meters)

The documentation for this struct was generated from the following file:

- include/reactphysics3d/constraint/SliderJoint.h